net.corda.core.contracts

## Class AuthenticatedObject<T>

- net.corda.core.contracts.AuthenticatedObject<T>

-     public class AuthenticatedObject<T>

  Wraps an object that was signed by a public key, which may be a well known/recognised institutional key.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticatedObject(java.util.List<? extends net.corda.core.crypto.CompositeKey> signers, java.util.List<net.corda.core.crypto.Party> signingParties, T value)` Wraps an object that was signed by a public key, which may be a well known/recognised institutional key.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<net.corda.core.crypto.CompositeKey>` | `component1()`
    `java.util.List<net.corda.core.crypto.Party>` | `component2()` If any public keys were recognised,
    `T` | `component3()`
    `AuthenticatedObject<T>` | `copy(java.util.List<? extends net.corda.core.crypto.CompositeKey> signers, java.util.List<net.corda.core.crypto.Party> signingParties, T value)` Wraps an object that was signed by a public key, which may be a well known/recognised institutional key.
    `boolean` | `equals(java.lang.Object p)`
    `java.util.List<net.corda.core.crypto.CompositeKey>` | `getSigners()`
    `java.util.List<net.corda.core.crypto.Party>` | `getSigningParties()` If any public keys were recognised,
    `T` | `getValue()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### AuthenticatedObject

          public AuthenticatedObject(java.util.List<? extends net.corda.core.crypto.CompositeKey> signers,
                                     java.util.List<net.corda.core.crypto.Party> signingParties,
                                     T value)

      Wraps an object that was signed by a public key, which may be a well known/recognised institutional key.

      Parameters:
        `signingParties` - If any public keys were recognised,the looked up institutions are available here

  - ### Method Detail

    - #### getSigners

          public java.util.List<net.corda.core.crypto.CompositeKey> getSigners()

    - #### getSigningParties

          public java.util.List<net.corda.core.crypto.Party> getSigningParties()

      If any public keys were recognised,

      the looked up institutions are available here

    - #### getValue

          public T getValue()

    - #### component1

          public java.util.List<net.corda.core.crypto.CompositeKey> component1()

    - #### component2

          public java.util.List<net.corda.core.crypto.Party> component2()

      If any public keys were recognised,

      the looked up institutions are available here

    - #### component3

          public T component3()

    - #### copy

          public AuthenticatedObject<T> copy(java.util.List<? extends net.corda.core.crypto.CompositeKey> signers,
                                             java.util.List<net.corda.core.crypto.Party> signingParties,
                                             T value)

      Wraps an object that was signed by a public key, which may be a well known/recognised institutional key.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)